summaryrefslogtreecommitdiff
path: root/tests/id/setgid.sh
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2013-09-22 04:15:34 +0100
committerPádraig Brady <P@draigBrady.com>2013-09-22 04:15:34 +0100
commit3414301f5951c1805aa9185cce13f421f09042de (patch)
tree3800128d72a0d4d6e0d87d55df1ef18cd0b3599f /tests/id/setgid.sh
parent587cc684dc3f104bb9b6b05c7fc4873660909dac (diff)
downloadcoreutils-3414301f5951c1805aa9185cce13f421f09042de.tar.xz
maint: move all id(1) tests to the same directory
* tests/misc/id-context.sh -> tests/id/context.sh * tests/misc/id-setgid.sh -> tests/id/setgid.sh * tests/misc/id-uid.sh -> tests/id/uid.sh * tests/misc/id-zero.sh -> tests/id/zero.sh * tests/local.mk: Reference the renamed tests
Diffstat (limited to 'tests/id/setgid.sh')
-rwxr-xr-xtests/id/setgid.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/id/setgid.sh b/tests/id/setgid.sh
new file mode 100755
index 000000000..f29eec072
--- /dev/null
+++ b/tests/id/setgid.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Verify that id -G prints the right group when run set-GID.
+
+# Copyright (C) 2012-2013 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ id
+require_root_
+
+g=$(id -u $NON_ROOT_USERNAME) || framework_failure_
+
+# Construct a different group number.
+gp1=$(expr $g + 1)
+
+echo $gp1 > exp || framework_failure_
+
+setuidgid -g $gp1 $NON_ROOT_USERNAME env PATH="$PATH" id -G > out || fail=1
+compare exp out || fail=1
+# With coreutils-8.16 and earlier, id -G would print both: $gp1 $g
+
+Exit $fail